# pandas.api.types.is_numeric_dtype

`pandas.api.types.``is_numeric_dtype`(arr_or_dtype)

  Check whether the provided array or dtype is of a numeric dtype.

  Parameters:

  arr_or_dtype : array-like

  > The array or dtype to check.

  Returns:

  boolean

  > Whether or not the array or dtype is of a numeric dtype.

  Examples

      >>> is_numeric_dtype(str)
      False
      >>> is_numeric_dtype(int)
      True
      >>> is_numeric_dtype(float)
      True
      >>> is_numeric_dtype(np.uint64)
      True
      >>> is_numeric_dtype(np.datetime64)
      False
      >>> is_numeric_dtype(np.timedelta64)
      False
      >>> is_numeric_dtype(np.array(['a', 'b']))
      False
      >>> is_numeric_dtype(pd.Series([1, 2]))
      True
      >>> is_numeric_dtype(pd.Index([1, 2.]))
      True
      >>> is_numeric_dtype(np.array([], dtype=np.timedelta64))
      False

Scroll To Top